Version 2.001

Répondre
Message
Auteur
Avatar de l’utilisateur
Remy
Administrateur du site/Developpeur
Messages : 319
Inscription : lun. janv. 17, 2011 6:10 pm
Localisation : 40km est de Lyon
Contact :

Version 2.001

#1 Message par Remy » lun. janv. 06, 2020 10:00 pm

Bonjour,

Bonne Année à tous,

voici une nouvelle version pour ce début d'année, et oui toujours là !!!

Quelques ajouts :

- gestion des sites ssl pour le html parsing (pour récupérer notamment le tarif du lendemain), la plupart des site fonctionnent maintenant en connexion sécurisée TLS.

Les dll openSSL sont dispo avec le version en téléchargement sous Windows, pour Ubuntu OpenSSl est normalement installé par défaut.

- Pour l'envoi des mails, gestion des connexion SMTP SSL là aussi, l'envoi des mails se fait maintenant par une file d'envoi dans un thread, le serveur SMTP est maintenant à préciser dans l'onglet Configuration/html, dans le capteur virtuel il faut juste préciser l'adresse du destinataire, le reste des infos pour l'envoi est pris dans l'onglet Configuration/html, le mot de passe en crypté dans le fichier Maison.cfg

- Quelques revues de code par ci par là.

- Compilation sous Qt 5.12.6, pour Windows 7 (pas pour XP ... a voir car ce sera sans openSSL), pour Linux en AppImage ou normal et Raspberry PI 3+ et 4 validés

- gestion de backup automatique

Je vous encourage si ça vous intéresse à passer sous Raspberry, c'est très concluant ... chez moi, 13 interfaces IP, 80 capteurs virtuels, server html + generation PNG, ne prends que 3 a 10% des ressources d'un PI 4


Rémy.

Avatar de l’utilisateur
Serge67
Beta-Testeur
Messages : 153
Inscription : mar. janv. 18, 2011 5:38 pm
Localisation : Alsace, 35Km de Strasbourg
Contact :

Re: Version 2.001

#2 Message par Serge67 » mar. janv. 07, 2020 10:38 am

Bonjour Rémy,

Bonne année et bonne santé à toi aussi et tous les utilisateurs de LogisDom.

Merci beaucoup pour cette nouvelle version, avec intégration du ssl :D . Je pourrais à nouveau récupérer le tarif du lendemain :D .

J'ai également essayé le passage sur Raspberry 4, Logisdom fonctionne effectivement parfaitement lors des tests. Par contre je n'ai pas encore migré, car linux n'est pas ma tasse de thé :( et j'ai encore d'autres soucis à résoudre pour passer complètement sur Raspberry!

Nouvelle année, nouvelle demande!!
Ce matin j'ai eu un changement de compteur électrique suite à plusieurs plantages de la téléinfo. Du coup je me retrouve avec des valeurs de consommation qui sont à 0, ce qui me provoque des valeurs négatives dans l'ensemble de mes calculs.
Il y a t-il une solution pour intégrer les anciennes valeurs d'index et éviter ainsi, de passer par des capteurs virtuels en cas de remplacement du compteur? Du genre "Ax+B" qui existe pour les capteurs 1wire.

Merci d'avance et bonne journée

Serge

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#3 Message par Dim » mar. janv. 07, 2020 3:29 pm

Bonjour à tous, et meilleurs vœux!

Encore une fois félicitations à Rémy !
Le Raspberry 4 est là, avec son kit de dissipateurs, il faut "juste" que je prenne le temps de préparer la bascule... avant que les disques durs de mon Proliant ne finissent de rendre l'âme après de nombreuses années de loyaux services ;-).
Du coup sur le Raspberry il y aura :
- L'interface 1-wire "maison" (multi-bus, pour éviter les plantages actuels de l'ensemble, le HA7Net n'ayant qu'un unique bus, dès lors qu'il y a un pb -court-circuit- sur une branche)
- La gestion du réseau 1-wire par OWFS
- l'émulateur de HA7net pour faire le lien entre LogisDom et OWFS (à revoir et améliorer, à défaut d'avoir l'interface avec OWFS en natif dans LogisDom....?)
- D'autres interfaces (BioControl et MegaIO-IND acquises via Kickstarter : A/D, relais ....) elles aussi à faire prendre en charge par un émulateur HA7Net (le même ou un autre, à voir) - Un système de reconnaissance vocale, j'ai commencé à travailler sur SNIPS fin 2019, mais cette startup s'est faite achetée par un géant asiatique, et le support "libre" est mort. J'hésite entre plusieurs alternatives du coup, Rhasspy (https://rhasspy.readthedocs.io/en/latest/) semble assez prometteur, quoique lourd lors d'un premier essai sur un Rpi 3A+... Je veux bien évidemment un système "hors cloud", non à Google, Amazon et autres Xiaomi!

Un sujet toujours bien vivant, et à suivre donc!

Dim.

Avatar de l’utilisateur
Remy
Administrateur du site/Developpeur
Messages : 319
Inscription : lun. janv. 17, 2011 6:10 pm
Localisation : 40km est de Lyon
Contact :

Re: Version 2.001

#4 Message par Remy » mar. janv. 07, 2020 5:48 pm

Bonne nouvelle Serge,
tu as déjà la possibilité de mettre un offset !
teleinfo_offset.png

Avatar de l’utilisateur
Serge67
Beta-Testeur
Messages : 153
Inscription : mar. janv. 18, 2011 5:38 pm
Localisation : Alsace, 35Km de Strasbourg
Contact :

Re: Version 2.001

#5 Message par Serge67 » mer. janv. 08, 2020 9:11 am

Bonjour Rémy,

Super je viens d'essayer et ça marche :D .
Tu as pensé à tout!!

Que du bonheur ce LogisDom :D

Serge

moriss
Messages : 167
Inscription : ven. nov. 11, 2011 9:19 pm

Re: Version 2.001

#6 Message par moriss » ven. janv. 10, 2020 2:00 pm

Salut à tous
Et belle année 2020 à vous !

Heureusement que je passe, voila une nouvelle version => Hop à mettre en route !

A+ et merci Remy

EDIT : bon ba ne démarre pas chez moi : (win7) plantage immédiat en lancement, même en admin

Avatar de l’utilisateur
Remy
Administrateur du site/Developpeur
Messages : 319
Inscription : lun. janv. 17, 2011 6:10 pm
Localisation : 40km est de Lyon
Contact :

Re: Version 2.001

#7 Message par Remy » ven. janv. 10, 2020 5:00 pm

C'est souvent le mode de compatibilité qui pose problème sous Windows.
Les librairies OpenSSL nécecittent VCruntime140 ... qui semble poser quelques soucis a la communauté Windows avec les fameux packages redistribuable.
J'avoue ne pas avoir fait de test extrême sous Windows dans toutes les conditions possibles, alors je compte sur vous car mes faveurs sont de plus en plus de côté libre de la force ...

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#8 Message par Dim » jeu. juil. 23, 2020 12:40 am

Salut Rémy,

je viens enfin d'installer ce qu'il faut sur un Rpi4 4go flambant neuf, avec boot sur clé usb puisque maintenant ça marche.
Après installation de Logisdom et de qt5 comme indiqué dans le wiki, je le lance et il se plaint :

Code : Tout sélectionner

pi@pidomoticsgla:~/LogisDom $ ./LogisDom 
./LogisDom: error while loading shared libraries: libquazip.so.1: cannot open shared object file: No such file or directory
pi@pidomoticsgla:~/LogisDom $ 
Je n'ai pas de dossier lib comme dans les versions Ubuntu ou Windows. Normal ?

Code : Tout sélectionner

pi@pidomoticsgla:~/LogisDom $ ls -R    
.:
LogisDom  trans

./trans:
logisdom_fr.qm  qt_fr.qm
pi@pidomoticsgla:~/LogisDom $ 
Merci,
Didier.

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#9 Message par Dim » jeu. juil. 23, 2020 10:06 pm

Ca va beaucoup mieux après un

Code : Tout sélectionner

sudo apt install libquazip5-1
.
wiki à compléter?
Didier

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#10 Message par Dim » ven. juil. 24, 2020 11:49 am

Bonjour Rémy,

Des plantages "Erreur de segmentation" et "erreur de Bus"
Copie du terminal d'où est lancé LogisDom par mail.
Didier.

Avatar de l’utilisateur
Remy
Administrateur du site/Developpeur
Messages : 319
Inscription : lun. janv. 17, 2011 6:10 pm
Localisation : 40km est de Lyon
Contact :

Re: Version 2.001

#11 Message par Remy » ven. juil. 24, 2020 5:25 pm

Didier,
si tu installes avec :
sudo apt install libquazip5-1
ce sont alors les libraires version officielles Raspbian ...
Donc probablement pas les même version et pas compilé avec la même version de Qt.
si tu as ce message
/LogisDom: error while loading shared libraries: libquazip.so.1: cannot open shared object file: No such file or directory
c'est qu'il faut déclarer les librairies, elles sont dans le fichier qt5pi.tar.xz qu'il faut décompresser là ou tu le souhaites, puis les déclarer.

echo /home/pi/qt5pi/lib | sudo tee /etc/ld.so.conf.d/qt5pi.conf
sudo ldconfig

Les libraireis sont alors à décompressées dans /home/pi/qt5pi/lib

si il ne les trouves pas il faut investiguer de ton côté, car ceci est spécifique à l'organisation de ton système.
Peux-tu faire un nouveau post dans une rubriques plus explicite ? car la version actuelle est la version 2.005
De mon côté, j'ai laissé de côté le boot USB, car il reste des soucis de permissions, c'est peut être d'ailleurs l'origine de ton problème.
Par contre j'ai mis LogisDom sur une Compact Flash USB, il tourne 24h/24 sans plantage depuis des mois.
Tu n'as pas précisé sur quelle version OS tu tournes.
Rémy.

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#12 Message par Dim » ven. juil. 24, 2020 6:14 pm

Bonjour Rémy,

j'ai suivi le wiki à la lettre, donc oui, j'ai bien dézippé qt5pi.tar.xz dans /home/pi/qt5pi => Après nouvelle vérification les librairies sont bien dans /home/pi/qt5pi , mais les liens vers libquazip et libqwt sont rompus, puisque pointant vers /usr/local/q5tpi/lib.
Ma version de raspbian est la (32bits) raspios buster full armhf du 27/5/2020.
Logisdom encore planté, je viens de "sudo apt remove libquazip5-1".

Je vois pour réparer les 2 liens cassés à la main, et le relancer.
Didier.

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#13 Message par Dim » sam. juil. 25, 2020 5:27 pm

replanté en début de matinée avec

Code : Tout sélectionner

QMetaObject::connectSlotsByName: No matching signal for on_pushButtonWrite_clicked()
QFont( "PibotoLt,12,-1,5,50,0,0,0,0,0" )
QObject::connect: Cannot queue arguments of type 'QTextCursor'
(Make sure 'QTextCursor' is registered using qRegisterMetaType().)
QObject::connect: Cannot queue arguments of type 'QTextCharFormat'
(Make sure 'QTextCharFormat' is registered using qRegisterMetaType().)
Erreur du bus
pi@pidomoticsgla:~/LogisDom $

Avatar de l’utilisateur
Dim
Utilisateur
Messages : 241
Inscription : mar. janv. 18, 2011 5:39 pm
Localisation : 91-Essonne (proche Arpajon)
Contact :

Re: Version 2.001

#14 Message par Dim » sam. juil. 25, 2020 8:12 pm

Et ce soir avec

Code : Tout sélectionner

QMetaObject::connectSlotsByName: No matching signal for on_hexWrite_stateChanged(int)
QMetaObject::connectSlotsByName: No matching signal for on_pushButtonWrite_clicked()
QFont( "PibotoLt,12,-1,5,50,0,0,0,0,0" )
QObject::connect: Cannot queue arguments of type 'QTextCursor'
(Make sure 'QTextCursor' is registered using qRegisterMetaType().)
QObject::connect: Cannot queue arguments of type 'QTextCharFormat'
(Make sure 'QTextCharFormat' is registered using qRegisterMetaType().)
Erreur de segmentation

Répondre